{
  "pages": [
    //pages数组中第一项表示应用启动页，参考：https://uniapp.dcloud.io/collocation/pages
    //#ifdef APP-PLUS
    //启动页
    {
      "path": "pages/guide/judge",
      "style": {
        "enablePullDownRefresh": false,
        "onReachBottomDistance": 100,
        "navigationStyle": "custom",
        "app-plus": {
          "contentAdjust": false,
          "bounce": "none"
        }
      }
    },
    {
      "path": "pages/guide/guide",
      "style": {
        "enablePullDownRefresh": false,
        "onReachBottomDistance": 100,
        "navigationStyle": "custom",
        "app-plus": {
          "contentAdjust": false,
          "bounce": "none"
        }
      }
    },
    // #endif
    {
      "path": "pages/index/index",
      "style": {
        "navigationBarTitleText": "首页"
      }
    },
    {
      "path": "pages/upgrade_popup/index",
      "style": {
        "disableScroll": true,
        "navigationStyle": "custom",
        "app-plus": {
          "animationType": "fade-in",
          "background": "transparent",
          "backgroundColor": "rgba(0,0,0,0)",
          "popGesture": "none"
        }
      }
    },
    {
      "path": "pages/sort/index",
      "style": {
        "navigationBarTitleText": "分类"
      }
    },
    {
      "path": "pages/search/search",
      "style": {
        "navigationBarTitleText": "搜索",
        "enablePullDownRefresh": false,
        "app-plus": {
          "animationType": "slide-in-bottom",
          "animationDuration": 300
        }
      }
    },
    {
      "path": "pages/comment/comment",
      "style": {
        "navigationBarTitleText": "评论",
        "enablePullDownRefresh": false
      }
    },
    {
      "path": "pages/confirm_order/confirm_order",
      "style": {
        "navigationBarTitleText": "确认订单",
        "enablePullDownRefresh": false
      }
    },
    {
      "path": "pages/search/search_result",
      "style": {
        "navigationBarTitleText": "搜索结果",
        "enablePullDownRefresh": false,
        "app-plus": {
          "animationType": "slide-in-bottom"
        }
      }
    },
    {
      "path": "pages/product_details/index",
      "style": {
        "navigationBarTitleText": "商品详情",
        "enablePullDownRefresh": false,
        "navigationStyle": "default"
      }
    },

    {
      "path": "pages/shop_cart/index",
      "style": {
        "navigationBarTitleText": "购物车"
      }
    },
    {
      "path": "pages/me/me",
      "style": {
        "navigationBarTitleText": "个人中心",
        "enablePullDownRefresh": false
      }
    },
    {
      "path": "pages/login/index",
      "style": {
        "navigationStyle": "default",
        "navigationBarTitleText": "登录"
      }
    },
    {
      "path": "pages/register/index",
      "style": {
        "navigationStyle": "default",
        "navigationBarTitleText": "注册"
      }
    },
    {
      "path": "pages/confirm_payment/confirm_payment",
      "style": {
        "navigationStyle": "default",
        "navigationBarTitleText": "确认支付"
      }
    },
    {
      "path": "pages/payment_results/payment_results",
      "style": {
        "navigationBarTitleText": "支付结果",
        "navigationStyle": "default",
        "enablePullDownRefresh": false
      }
    },
    {
      "path": "pages/healthy/healthy",
      "style": {
        "navigationBarTitleText": "健康",
        "enablePullDownRefresh": false
      }
    },
    {
      "path": "pages/article_details/article_details",
      "style": {
        "navigationBarTitleText": "文章详情",
        "enablePullDownRefresh": false,
        "navigationStyle": "default"
      }
    },
    {
      "path": "pages/order_details/index",
      "style": {
        "navigationStyle": "custom",
        "navigationBarTitleText": "订单详情"
      }
    },
    {
      "path": "pages/apply_refund/index",
      "style": {
        "navigationStyle": "default",
        "navigationBarTitleText": "申请售后"
      }
    },
    {
      "path": "pages/goods_logistics/index",
      "style": {
        "navigationStyle": "default",
        "navigationBarTitleText": "物流信息"
      }
    },
    {
      "path": "pages/publish_evaluation/index",
      "style": {
        "navigationBarTitleText": "发表评价",
        "enablePullDownRefresh": false,
        "navigationStyle": "default"
      }
    },
    {
      "path": "pages/my_package/index",
      "style": {
        "navigationBarTitleText": "我的包裹",
        "enablePullDownRefresh": false,
        "navigationStyle": "default"
      }
    },
    {
      "path": "pages/logistics_information/index",
      "style": {
        "navigationBarTitleText": "物流信息",
        "enablePullDownRefresh": false,
        "navigationStyle": "default"
      }
    },
    {
      "path": "pages/about_us/index",
      "style": {
        "navigationBarTitleText": "关于我们",
        "enablePullDownRefresh": false,
        "navigationStyle": "default"
      }
    },
    {
      "path": "pages/switch_account/index",
      "style": {
        "navigationBarTitleText": "切换账号",
        "enablePullDownRefresh": false
      }
    },
    {
      "path": "pages/auxiliary_cart/index",
      "style": {
        "navigationBarTitleText": "购物车(非tabbar)",
        "enablePullDownRefresh": false
      }
    },
    {
      "path": "pages/web_view/index",
      "style": {
        "navigationBarTitleText": "",
        "enablePullDownRefresh": false,
        "navigationStyle": "default"
      }
    },
    {
      "path": "pages/feedback/index",
      "style": {
        "navigationBarTitleText": "意见反馈",
        "enablePullDownRefresh": false,
        "navigationStyle": "default"
      }
    },
    {
      "path": "pages/development/index",
      "style": {
        "navigationBarTitleText": "开发中",
        "enablePullDownRefresh": false,
        "navigationStyle": "default"
      }
    },
    {
      "path": "pages/welcome/index",
      "style": {
        "navigationBarTitleText": "",
        "enablePullDownRefresh": false
      }
    },
    {
      "path": "pages/bargain/index",
      "style": {
        "navigationBarTitleText": "促销活动",
        "enablePullDownRefresh": false,
        "navigationStyle": "default"
      }
    },
    {
      "path": "pages/bargain/invite",
      "style": {
        "navigationBarTitleText": "邀请砍价",
        "enablePullDownRefresh": false,
        "navigationStyle": "default"
      }
    },
    {
      "path": "pages/healthy/index",
      "style": {
        "navigationBarTitleText": "文章分类",
        "enablePullDownRefresh": false,
        "navigationStyle": "default"
      }
    },
    {
      "path": "pages/points/record",
      "style": {
        "navigationBarTitleText": "积分明细",
        "enablePullDownRefresh": false,
        "navigationStyle": "default"
      }
    },
    {
      "path": "pages/points/swap",
      "style": {
        "navigationBarTitleText": "积分兑换",
        "enablePullDownRefresh": false,
        "navigationStyle": "custom"
      }
    },
    {
      "path": "pages/points/swap-record",
      "style": {
        "navigationBarTitleText": "我的兑换",
        "enablePullDownRefresh": false,
        "navigationStyle": "default"
      }
    }
  ],
  "subPackages": [{
      "root": "pageA",
      "pages": [{
          "path": "personal/personal",
          "style": {
            "navigationBarTitleText": "个人信息",
            "navigationStyle": "default",
            "enablePullDownRefresh": false
          }
        },
        {
          "path": "news/index",
          "style": {
            "navigationBarTitleText": "消息",
            "enablePullDownRefresh": false
          }
        },
        {
          "path": "membership_interests/index",
          "style": {
            "navigationBarTitleText": "会员权益",
            "enablePullDownRefresh": false,
            "navigationStyle": "default"
          }
        },
        {
          "path": "special_area/index",
          "style": {
            "navigationBarTitleText": "直通车专区",
            "enablePullDownRefresh": false,
            "navigationStyle": "default"
          }
        },
        {
          "path": "user_order/index",
          "style": {
            "navigationBarTitleText": "订单列表"
          }
        },
        {
          "path": "after_sale/index",
          "style": {
            "navigationBarTitleText": "售后",
            "enablePullDownRefresh": false,
            "navigationStyle": "default"
          }
        },
        {
          "path": "after_sales_detail/index",
          "style": {
            "navigationStyle": "default",
            "navigationBarTitleText": "售后详情"
          }
        },
        {
          "path": "after_sales_logistics/index",
          "style": {
            "navigationStyle": "default",
            "navigationBarTitleText": "售后详情"
          }
        },
        {
          "path": "user_sign/index",
          "style": {
            "navigationStyle": "default",
            "navigationBarTitleText": "签到"
          }
        },
        {
          "path": "collection/index",
          "style": {
            "navigationBarTitleText": "收藏",
            "enablePullDownRefresh": false,
            "navigationStyle": "default"
          }
        },
        {
          "path": "address/index",
          "style": {
            "navigationBarTitleText": "地址管理",
            "enablePullDownRefresh": false,
            "navigationStyle": "default"
          }
        },
        {
          "path": "new_address/index",
          "style": {
            "navigationBarTitleText": "新增地址",
            "enablePullDownRefresh": false
          }
        },
        {
          "path": "reset_password/index",
          "style": {
            "navigationStyle": "default",
            "navigationBarTitleText": "密码设置"
          }
        },
        {
          "path": "reset_password/login",
          "style": {
            "navigationStyle": "default",
            "navigationBarTitleText": "密码修改"
          }
        },
        {
          "path": "reset_password/secure",
          "style": {
            "navigationStyle": "default",
            "navigationBarTitleText": "安全密码"
          }
        },
        {
          "path": "reset_password/reset_security",
          "style": {
            "navigationBarTitleText": "重置安全密码",
            "enablePullDownRefresh": false,
            "navigationStyle": "default"
          }
        },
        {
          "path": "coupon/coupon",
          "style": {
            "navigationBarTitleText": "我的优惠卷",
            "navigationStyle": "default",
            "enablePullDownRefresh": false
          }
        },
        {
          "path": "history/index",
          "style": {
            "navigationStyle": "default",
            "navigationBarTitleText": "浏览记录"
          }
        },
        {
          "path": "fan_list/index",
          "style": {
            "navigationBarTitleText": "粉丝列表",
            "enablePullDownRefresh": false
          }
        },
        {
          "path": "invite_friends/index",
          "style": {
            "navigationStyle": "default",
            "navigationBarTitleText": "邀请好友"
          }
        },
        {
          "path": "my_account/index",
          "style": {
            "navigationBarTitleText": "我的账户",
            "enablePullDownRefresh": false
          }
        },
        {
          "path": "balance_transfer/index",
          "style": {
            "navigationBarTitleText": "余额转账",
            "enablePullDownRefresh": false
          }
        },
        {
          "path": "balance_transfer_details/index",
          "style": {
            "navigationBarTitleText": "余额转账明细",
            "enablePullDownRefresh": false,
            "navigationStyle": "default"
          }
        },
        {
          "path": "withdrawal_balance/index",
          "style": {
            "navigationBarTitleText": "可提转余额",
            "enablePullDownRefresh": false
          }
        },
        {
          "path": "withdrawal_details/index",
          "style": {
            "navigationBarTitleText": "提现明细",
            "enablePullDownRefresh": false,
            "navigationStyle": "default"
          }
        },
        {
          "path": "bank_card/index",
          "style": {
            "navigationBarTitleText": "提现到银行卡",
            "enablePullDownRefresh": false
          }
        },
        {
          "path": "bank_details/index",
          "style": {
            "navigationBarTitleText": "提现记录",
            "enablePullDownRefresh": false,
            "navigationStyle": "default"
          }
        },
        {
          "path": "my_bank/index",
          "style": {
            "navigationBarTitleText": "我的银行卡",
            "enablePullDownRefresh": false,
            "navigationStyle": "default"
          }
        }
      ]
    },
    {
      "root": "pageB",
      "pages": [{
          "path": "index/index",
          "style": {
            "navigationBarTitleText": "门店管理",
            "enablePullDownRefresh": false,
            "navigationStyle": "default"
          }
        },
        {
          "path": "select_store/index",
          "style": {
            "navigationBarTitleText": "选择门店",
            "enablePullDownRefresh": false,
            "navigationStyle": "default"
          }
        },
        {
          "path": "select_product/index",
          "style": {
            "navigationBarTitleText": "选择商品",
            "enablePullDownRefresh": false,
            "navigationStyle": "default"
          }
        },
        {
          "path": "select_product/search",
          "style": {
            "navigationBarTitleText": "搜索商品",
            "enablePullDownRefresh": false,
            "navigationStyle": "custom"
          }
        },
        {
          "path": "select_product/cart",
          "style": {
            "navigationBarTitleText": "购物车",
            "enablePullDownRefresh": false,
            "navigationStyle": "custom"
          }
        },
        {
          "path": "select_product/com_order",
          "style": {
            "navigationBarTitleText": "确认订单",
            "enablePullDownRefresh": false,
            "navigationStyle": "default"
          }
        },
        {
          "path": "code/index",
          "style": {
            "navigationBarTitleText": "二维码",
            "enablePullDownRefresh": false,
            "navigationStyle": "default"
          }
        },
        {
          "path": "user_order/index",
          "style": {
            "navigationBarTitleText": "用户提货",
            "enablePullDownRefresh": false,
            "navigationStyle": "default"
          }
        },
        {
          "path": "user_select_pro/index",
          "style": {
            "navigationBarTitleText": "选择商品",
            "enablePullDownRefresh": false,
            "navigationStyle": "default"
          }
        },
        {
          "path": "order_details/index",
          "style": {
            "navigationBarTitleText": "订单详情",
            "enablePullDownRefresh": false
          }
        },
        {
          "path": "svip/index",
          "style": {
            "navigationBarTitleText": "",
            "enablePullDownRefresh": false,
            "navigationStyle": "default"
          }
        },
        {
          "path": "record/index",
          "style": {
            "navigationBarTitleText": "会员购买记录",
            "enablePullDownRefresh": false,
            "navigationStyle": "default"
          }
        },
        {
          "path": "comm_rec/index",
          "style": {
            "navigationBarTitleText": "推荐返利",
            "enablePullDownRefresh": false,
            "navigationStyle": "default"
          }
        },
        {
          "path": "lucky/index",
          "style": {
            "navigationBarTitleText": "活动",
            "enablePullDownRefresh": false
          }
        }
      ]
    }
  ],
  "globalStyle": {
    "navigationBarTextStyle": "black",
    "navigationBarTitleText": "uni-app",
    "navigationBarBackgroundColor": "#FFFFFF",
    "backgroundColor": "#FFFFFF",
    "navigationStyle": "custom",
    "app-plus": {
      "bounce": "none",
      "scrollIndicator": "none"
    }
  },
  "tabBar": {
    "backgroundColor": "#FFFFFF",
    "color": "#A8A8A8",
    "selectedColor": "#378264",
    "borderStyle": "white",
    "list": [{
        "iconPath": "static/tabbar/index.png",
        "selectedIconPath": "static/tabbar/index_sel.png",
        "pagePath": "pages/index/index",
        "text": "主页"
      },
      {
        "iconPath": "static/tabbar/class.png",
        "selectedIconPath": "static/tabbar/class_sel.png",
        "pagePath": "pages/sort/index",
        "text": "分类"
      },
      {
        "iconPath": "static/tabbar/cart.png",
        "selectedIconPath": "static/tabbar/cart_sel.png",
        "pagePath": "pages/shop_cart/index",
        "text": "购物车"
      },
      {
        "iconPath": "static/tabbar/healthy.png",
        "selectedIconPath": "static/tabbar/healthy_sel.png",
        "pagePath": "pages/healthy/index",
        "text": "文章"
      },
      {
        "iconPath": "static/tabbar/my.png",
        "selectedIconPath": "static/tabbar/my_sel.png",
        "pagePath": "pages/me/me",
        "text": "我的"
      }
    ]
  },
  "easycom": {
    "^u-(.*)": "uview-ui/components/u-$1/u-$1.vue"
  }
}
